> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# haloitsm-tickets

> HaloITSM Tickets - Create, update, search tickets, manage actions, statuses, priorities, categories, and canned responses

**Server path:** `/haloitsm-tickets` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                    | Description                |
| ------------------------------------------------------------------------------------------------------- | -------------------------- |
| [`haloitsm_tickets_create_actions`](#haloitsm_tickets_create_actions)                                   | POST /Actions              |
| [`haloitsm_tickets_create_canned_text`](#haloitsm_tickets_create_canned_text)                           | POST /CannedText           |
| [`haloitsm_tickets_create_category`](#haloitsm_tickets_create_category)                                 | POST /Category             |
| [`haloitsm_tickets_create_priority`](#haloitsm_tickets_create_priority)                                 | POST /Priority             |
| [`haloitsm_tickets_create_status`](#haloitsm_tickets_create_status)                                     | POST /Status               |
| [`haloitsm_tickets_create_tickets`](#haloitsm_tickets_create_tickets)                                   | POST /Tickets              |
| [`haloitsm_tickets_delete_actions_by_id`](#haloitsm_tickets_delete_actions_by_id)                       | DELETE /Actions/\{id}      |
| [`haloitsm_tickets_delete_by_id`](#haloitsm_tickets_delete_by_id)                                       | Delete one Faults          |
| [`haloitsm_tickets_delete_canned_text_by_id`](#haloitsm_tickets_delete_canned_text_by_id)               | DELETE /CannedText/\{id}   |
| [`haloitsm_tickets_delete_category_by_id`](#haloitsm_tickets_delete_category_by_id)                     | DELETE /Category/\{id}     |
| [`haloitsm_tickets_delete_priority_by_id`](#haloitsm_tickets_delete_priority_by_id)                     | DELETE /Priority/\{id}     |
| [`haloitsm_tickets_delete_status_by_id`](#haloitsm_tickets_delete_status_by_id)                         | DELETE /Status/\{id}       |
| [`haloitsm_tickets_favourite_canned_text_favourite`](#haloitsm_tickets_favourite_canned_text_favourite) | POST /CannedText/favourite |
| [`haloitsm_tickets_get_actions_by_id`](#haloitsm_tickets_get_actions_by_id)                             | Get one Actions            |
| [`haloitsm_tickets_get_by_id`](#haloitsm_tickets_get_by_id)                                             | Get one Faults             |
| [`haloitsm_tickets_get_canned_text_by_id`](#haloitsm_tickets_get_canned_text_by_id)                     | Get one CannedText         |
| [`haloitsm_tickets_get_category_by_id`](#haloitsm_tickets_get_category_by_id)                           | Get one CategoryDetail     |
| [`haloitsm_tickets_get_priority_by_id`](#haloitsm_tickets_get_priority_by_id)                           | Get one Policy             |
| [`haloitsm_tickets_get_status_by_id`](#haloitsm_tickets_get_status_by_id)                               | Get one TStatus            |
| [`haloitsm_tickets_list_actions`](#haloitsm_tickets_list_actions)                                       | List of Actions            |
| [`haloitsm_tickets_list_canned_text`](#haloitsm_tickets_list_canned_text)                               | List of CannedText         |
| [`haloitsm_tickets_list_category`](#haloitsm_tickets_list_category)                                     | List of CategoryDetail     |
| [`haloitsm_tickets_list_priority`](#haloitsm_tickets_list_priority)                                     | List of Policy             |
| [`haloitsm_tickets_list_status`](#haloitsm_tickets_list_status)                                         | List of TStatus            |
| [`haloitsm_tickets_list_tickets`](#haloitsm_tickets_list_tickets)                                       | List of Faults             |
| [`haloitsm_tickets_reaction_actions_reaction`](#haloitsm_tickets_reaction_actions_reaction)             | POST /Actions/reaction     |
| [`haloitsm_tickets_review_actions_review`](#haloitsm_tickets_review_actions_review)                     | POST /Actions/Review       |
| [`haloitsm_tickets_view_tickets_view`](#haloitsm_tickets_view_tickets_view)                             | POST /Tickets/View         |
| [`haloitsm_tickets_vote_tickets_vote`](#haloitsm_tickets_vote_tickets_vote)                             | POST /Tickets/vote         |

***

## haloitsm\_tickets\_create\_actions

POST /Actions

**Parameters:**

| Parameter | Type      | Required | Default | Description  |
| --------- | --------- | -------- | ------- | ------------ |
| `body`    | object\[] | No       | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "ticket_id": {
              "type": "integer",
              "format": "int32",
              "description": "Ticket Id"
            },
            "id": {
              "type": "integer",
              "format": "int32",
              "description": "The id value"
            },
            "outcome": {
              "type": "string",
              "description": "The outcome value"
            },
            "who_type": {
              "type": "integer",
              "format": "int32",
              "description": "Who Type"
            },
            "who_imgpath": {
              "type": "string",
              "description": "Who Imgpath"
            },
            "who_agentid": {
              "type": "integer",
              "format": "int32",
              "description": "Who Agentid"
            },
            "who_initials": {
              "type": "string",
              "description": "Who Initials"
            },
            "who_colour": {
              "type": "string",
              "description": "Who Colour"
            },
            "who_onlinestatus": {
              "type": "integer",
              "format": "int32",
              "description": "Who Onlinestatus"
            },
            "datetime": {
              "type": "string",
              "format": "date-time",
              "description": "The datetime value"
            },
            "last_updated": {
              "type": "string",
              "format": "date-time",
              "description": "Last Updated"
            },
            "note": {
              "type": "string",
              "description": "The note value"
            },
            "replied_to_ticket_id": {
              "type": "integer",
              "format": "int32",
              "description": "Replied To Ticket Id"
            },
            "replied_to_action_id": {
              "type": "integer",
              "format": "int32",
              "description": "Replied To Action Id"
            },
            "created_from_ticket_id": {
              "type": "integer",
              "format": "int32",
              "description": "Created From Ticket Id"
            },
            "created_from_action_id": {
              "type": "integer",
              "format": "int32",
              "description": "Created From Action Id"
            },
            "action_contract_id": {
              "type": "integer",
              "format": "int32",
              "description": "Action Contract Id"
            },
            "action_contract_ref": {
              "type": "string",
              "description": "Action Contract Ref"
            },
            "action_travel_contract_id": {
              "type": "integer",
              "format": "int32",
              "description": "Action Travel Contract Id"
            },
            "project_id": {
              "type": "integer",
              "format": "int32",
              "description": "Project Id"
            },
            "twitter_id_str": {
              "type": "string",
              "description": "Twitter Id Str"
            },
            "twitter_user_name": {
              "type": "string",
              "description": "Twitter User Name"
            },
            "tweet_sent": {
              "type": "boolean",
              "description": "Tweet Sent"
            },
            "attachment_list": {
              "type": "object",
              "description": "Attachment List"
            },
            "customfields": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "name": {
                    "type": "string"
                  },
                  "label": {
                    "type": "string"
                  },
                  "summary": {
                    "type": "string"
                  },
                  "type": {
                    "type": "integer"
                  },
                  "value": {},
                  "value_is_password_id": {
                    "type": "boolean"
                  },
                  "display": {
                    "type": "string"
                  },
                  "characterlimit": {
                    "type": "integer"
                  },
                  "characterlimittype": {
                    "type": "integer"
                  },
                  "inputtype": {
                    "type": "integer"
                  },
                  "copytochild": {
                    "type": "boolean"
                  },
                  "copytoparent": {
                    "type": "boolean"
                  },
                  "searchable": {
                    "type": "boolean"
                  },
                  "ordervalues": {
                    "type": "boolean"
                  },
                  "ordervaluesby": {
                    "type": "integer"
                  },
                  "database_lookup_id": {
                    "type": "integer"
                  },
                  "database_lookup_auto": {
                    "type": "boolean"
                  },
                  "database_lookup_triggers": {
                    "type": "array"
                  },
                  "third_party_name": {
                    "type": "string"
                  },
                  "extratype": {
                    "type": "integer"
                  },
                  "copytochildonupdate": {
                    "type": "boolean"
                  },
                  "copytograndchildonupdate": {
                    "type": "boolean"
                  },
                  "copytoparentonupdate": {
                    "type": "boolean"
                  },
                  "hyperlink": {
                    "type": "string"
                  },
                  "usage": {
                    "type": "integer"
                  },
                  "linked_table_id": {
                    "type": "integer"
                  },
                  "showondetailsscreen": {
                    "type": "boolean"
                  },
                  "third_party_value": {
                    "type": "string"
                  },
                  "custom_extra_table_id": {
                    "type": "integer"
                  },
                  "copytorelated": {
                    "type": "boolean"
                  },
                  "only_validate_on_creation": {
                    "type": "boolean"
                  },
                  "calculation": {
                    "type": "string"
                  },
                  "rounding": {
                    "type": "integer"
                  },
                  "validation_reasons": {
                    "type": "array"
                  },
                  "int_value_is_display": {
                    "type": "boolean"
                  },
                  "regex": {
                    "type": "string"
                  },
                  "onlyshowforagents": {
                    "type": "boolean"
                  },
                  "is_horizontal": {
                    "type": "boolean"
                  },
                  "copied": {
                    "type": "boolean"
                  },
                  "isencrypted": {
                    "type": "boolean"
                  },
                  "max_selection": {
                    "type": "integer"
                  },
                  "guid": {
                    "type": "string"
                  },
                  "selection_field_id": {
                    "type": "integer"
                  },
                  "variable_format_1": {
                    "type": "string"
                  },
                  "variable_format_2": {
                    "type": "string"
                  },
                  "validation_data": {
                    "type": "array"
                  },
                  "database_lookup_input": {
                    "type": "integer"
                  },
                  "table_data_entry_type": {
                    "type": "integer"
                  },
                  "showintable": {
                    "type": "boolean"
                  },
                  "table_height": {
                    "type": "integer"
                  },
                  "dont_delete_rows": {
                    "type": "boolean"
                  },
                  "table_matching_field": {
                    "type": "integer"
                  },
                  "new_storage_method": {
                    "type": "boolean"
                  },
                  "where_sql": {
                    "type": "string"
                  },
                  "load_type": {
                    "type": "integer"
                  },
                  "add_rows": {
                    "type": "boolean"
                  },
                  "delete_these_rows": {
                    "type": "array"
                  },
                  "showinpool": {
                    "type": "boolean"
                  },
                  "allow_pool_override": {
                    "type": "boolean"
                  },
                  "details_column_group": {
                    "type": "integer"
                  },
                  "add_row_per_value": {
                    "type": "boolean"
                  },
                  "store_in_fielddata": {
                    "type": "boolean"
                  },
                  "first_value_default": {
                    "type": "boolean"
                  },
                  "copytoparentnewticket": {
                    "type": "boolean"
                  }
                }
              },
              "description": "The customfields value"
            },
            "personal_unread": {
              "type": "boolean",
              "description": "Personal Unread"
            },
            "actionarrivaldate": {
              "type": "string",
              "format": "date-time",
              "description": "The actionarrivaldate value"
            },
            "actioncompletiondate": {
              "type": "string",
              "format": "date-time",
              "description": "The actioncompletiondate value"
            },
            "isjson": {
              "type": "boolean",
              "description": "The isjson value"
            },
            "facebook_id": {
              "type": "string",
              "description": "Facebook Id"
            },
            "facebook_sent": {
              "type": "boolean",
              "description": "Facebook Sent"
            },
            "merged_from_ticketid": {
              "type": "integer",
              "format": "int32",
              "description": "Merged From Ticketid"
            },
            "reactions": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "ticket_id": {
                    "type": "integer"
                  },
                  "action_number": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "timestamp": {
                    "type": "string"
                  },
                  "type": {
                    "type": "string"
                  }
                }
              },
              "description": "The reactions value"
            },
            "translations": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "language_id": {
                    "type": "integer"
                  },
                  "entity": {
                    "type": "string"
                  },
                  "fieldname": {
                    "type": "string"
                  },
                  "entity_id": {
                    "type": "integer"
                  },
                  "entity_id2": {
                    "type": "integer"
                  },
                  "entity_id3": {
                    "type": "integer"
                  },
                  "entity_textid": {
                    "type": "string"
                  },
                  "translation": {
                    "type": "string"
                  },
                  "_dotranslate": {
                    "type": "boolean"
                  },
                  "_translateonly": {
                    "type": "boolean"
                  },
                  "_isimport": {
                    "type": "boolean"
                  },
                  "default_translation": {
                    "type": "string"
                  },
                  "_warning": {
                    "type": "string"
                  }
                }
              },
              "description": "The translations value"
            },
            "email_message_id": {
              "type": "string",
              "description": "Email Message Id"
            },
            "post_translations": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "language_id": {
                    "type": "integer"
                  },
                  "entity": {
                    "type": "string"
                  },
                  "fieldname": {
                    "type": "string"
                  },
                  "entity_id": {
                    "type": "integer"
                  },
                  "entity_id2": {
                    "type": "integer"
                  },
                  "entity_id3": {
                    "type": "integer"
                  },
                  "entity_textid": {
                    "type": "string"
                  },
                  "translation": {
                    "type": "string"
                  },
                  "_dotranslate": {
                    "type": "boolean"
                  },
                  "_translateonly": {
                    "type": "boolean"
                  },
                  "_isimport": {
                    "type": "boolean"
                  },
                  "default_translation": {
                    "type": "string"
                  },
                  "_warning": {
                    "type": "string"
                  }
                }
              },
              "description": "Post Translations"
            },
            "ticket_guid": {
              "type": "string",
              "description": "Ticket Guid"
            },
            "instagram_id": {
              "type": "string",
              "description": "Instagram Id"
            },
            "instagram_sent": {
              "type": "boolean",
              "description": "Instagram Sent"
            },
            "on_behalf_of": {
              "type": "integer",
              "format": "int32",
              "description": "On Behalf Of"
            },
            "on_behalf_of_name": {
              "type": "string",
              "description": "On Behalf Of Name"
            },
            "actionby_agent_id": {
              "type": "integer",
              "format": "int32",
              "description": "Actionby Agent Id"
            },
            "warning_type": {
              "type": "integer",
              "format": "int32",
              "description": "Warning Type"
            },
            "guid": {
              "type": "string",
              "format": "uuid",
              "description": "The guid value"
            },
            "actioncontractid": {
              "type": "integer",
              "format": "int32",
              "description": "The actioncontractid value"
            },
            "actisbillable": {
              "type": "boolean",
              "description": "The actisbillable value"
            },
            "actisreadyforprocessing": {
              "type": "boolean",
              "description": "The actisreadyforprocessing value"
            },
            "actioninternetmessageid": {
              "type": "string",
              "description": "The actioninternetmessageid value"
            },
            "senttowhatsapp": {
              "type": "boolean",
              "description": "The senttowhatsapp value"
            },
            "twa_delivered_date": {
              "type": "string",
              "format": "date-time",
              "description": "Twa Delivered Date"
            },
            "twa_read_date": {
              "type": "string",
              "format": "date-time",
              "description": "Twa Read Date"
            },
            "travelisreadyforprocessing": {
              "type": "boolean",
              "description": "The travelisreadyforprocessing value"
            },
            "emailimportance": {
              "type": "string",
              "description": "The emailimportance value"
            },
            "email_status": {
              "type": "integer",
              "format": "int32",
              "description": "Email Status"
            },
            "actionbillingplanid": {
              "type": "integer",
              "format": "int32",
              "description": "The actionbillingplanid value"
            },
            "emailbody": {
              "type": "string",
              "description": "The emailbody value"
            },
            "emailsubject": {
              "type": "string",
              "description": "The emailsubject value"
            },
            "note_html": {
              "type": "string",
              "description": "Note Html"
            },
            "emailbody_html": {
              "type": "string",
              "description": "Emailbody Html"
            },
            "actionuserdef": {
              "type": "integer",
              "format": "int32",
              "description": "The actionuserdef value"
            },
            "userdesc": {
              "type": "string",
              "description": "The userdesc value"
            },
            "actiondatecreated": {
              "type": "string",
              "format": "date-time",
              "description": "The actiondatecreated value"
            },
            "actioninvoicenumber": {
              "type": "string",
              "description": "The actioninvoicenumber value"
            },
            "actioninvoicenumber_isproject": {
              "type": "boolean",
              "description": "Actioninvoicenumber Isproject"
            },
            "action_invoice_line_id": {
              "type": "integer",
              "format": "int32",
              "description": "Action Invoice Line Id"
            },
            "actiontravelinvoicenumber": {
              "type": "string",
              "description": "The actiontravelinvoicenumber value"
            },
            "actionmileageinvoicenumber": {
              "type": "string",
              "description": "The actionmileageinvoicenumber value"
            },
            "externalinvoicenumber": {
              "type": "string",
              "description": "The externalinvoicenumber value"
            },
            "actprocessid": {
              "type": "integer",
              "format": "int32",
              "description": "The actprocessid value"
            },
            "actiontravelamount": {
              "type": "number",
              "format": "double",
              "description": "The actiontravelamount value"
            },
            "actionmileageamount": {
              "type": "number",
              "format": "double",
              "description": "The actionmileageamount value"
            },
            "actiontravelmileageinvoicenumber": {
              "type": "integer",
              "format": "int32",
              "description": "The actiontravelmileageinvoicenumber value"
            },
            "actiontravelbillingplanid": {
              "type": "integer",
              "format": "int32",
              "description": "The actiontravelbillingplanid value"
            },
            "actioncalendarstatus": {
              "type": "integer",
              "format": "int32",
              "description": "The actioncalendarstatus value"
            },
            "actionapptid": {
              "type": "string",
              "description": "The actionapptid value"
            },
            "actionsmsstatus": {
              "type": "integer",
              "format": "int32",
              "description": "The actionsmsstatus value"
            },
            "sitevisitunits": {
              "type": "number",
              "format": "double",
              "description": "The sitevisitunits value"
            },
            "svid": {
              "type": "integer",
              "format": "int32",
              "description": "The svid value"
            },
            "asset_id": {
              "type": "integer",
              "format": "int32",
              "description": "Asset Id"
            },
            "asset_site": {
              "type": "integer",
              "format": "int32",
              "description": "Asset Site"
            },
            "lwwarrantyreported": {
              "type": "boolean",
              "description": "The lwwarrantyreported value"
            },
            "from_mailbox_id": {
              "type": "integer",
              "format": "int32",
              "description": "From Mailbox Id"
            },
            "sales_mailbox_override_id": {
              "type": "integer",
              "format": "int32",
              "description": "Sales Mailbox Override Id"
            },
            "from_address_override": {
              "type": "string",
              "description": "From Address Override"
            },
            "actiontravelstartdate": {
              "type": "string",
              "format": "date-time",
              "description": "The actiontravelstartdate value"
            },
            "actiontravelenddate": {
              "type": "string",
              "format": "date-time",
              "description": "The actiontravelenddate value"
            },
            "actionactualresponse": {
              "type": "number",
              "format": "double",
              "description": "The actionactualresponse value"
            },
            "actionslaresponsestate": {
              "type": "string",
              "description": "The actionslaresponsestate value"
            },
            "labourwarranty": {
              "type": "boolean",
              "description": "The labourwarranty value"
            },
            "actreviewed": {
              "type": "boolean",
              "description": "The actreviewed value"
            },
            "actprocesseddate": {
              "type": "string",
              "format": "date-time",
              "description": "The actprocesseddate value"
            },
            "dateinvoicedtraveltime": {
              "type": "string",
              "format": "date-time",
              "description": "The dateinvoicedtraveltime value"
            },
            "dateinvoicedmileage": {
              "type": "string",
              "format": "date-time",
              "description": "The dateinvoicedmileage value"
            },
            "actionuserdefineddata": {
              "type": "string",
              "description": "The actionuserdefineddata value"
            },
            "emailtolistall": {
              "type": "string",
              "description": "The emailtolistall value"
            },
            "reply_direct": {
              "type": "boolean",
              "description": "Reply Direct"
            },
            "actioninformownerofaction": {
              "type": "boolean",
              "description": "The actioninformownerofaction value"
            },
            "agentnotificationneeded": {
              "type": "integer",
              "format": "int32",
              "description": "The agentnotificationneeded value"
            },
            "surchargeid": {
              "type": "integer",
              "format": "int32",
              "description": "The surchargeid value"
            },
            "travel_surchargeid": {
              "type": "integer",
              "format": "int32",
              "description": "Travel Surchargeid"
            },
            "achargetotalaction": {
              "type": "boolean",
              "description": "The achargetotalaction value"
            },
            "achargetotalprocessed": {
              "type": "boolean",
              "description": "The achargetotalprocessed value"
            },
            "tweetsent": {
              "type": "boolean",
              "description": "The tweetsent value"
            },
            "tweetfrom": {
              "type": "string",
              "description": "The tweetfrom value"
            },
            "twitterid": {
              "type": "integer",
              "format": "int64",
              "description": "The twitterid value"
            },
            "send_to_facebook": {
              "type": "boolean",
              "description": "Send To Facebook"
            },
            "replyto_facebook_id": {
              "type": "string",
              "description": "Replyto Facebook Id"
            },
            "senttofb": {
              "type": "boolean",
              "description": "The senttofb value"
            },
            "facebookid": {
              "type": "string",
              "description": "The facebookid value"
            },
            "facebookname": {
              "type": "string",
              "description": "The facebookname value"
            },
            "facebook_parent_id": {
              "type": "string",
              "description": "Facebook Parent Id"
            },
            "calloutcomenum": {
              "type": "integer",
              "format": "int32",
              "description": "The calloutcomenum value"
            },
            "actionresponsedate": {
              "type": "string",
              "format": "date-time",
              "description": "The actionresponsedate value"
            },
            "actiontargetresponsedate": {
              "type": "string",
              "format": "date-time",
              "description": "The actiontargetresponsedate value"
            },
            "pagerdutysendstatus": {
              "type": "integer",
              "format": "int32",
              "description": "The pagerdutysendstatus value"
            },
            "mailentryid": {
              "type": "string",
              "description": "The mailentryid value"
            },
            "replytoaddress": {
              "type": "string",
              "description": "The replytoaddress value"
            },
            "actsapuuid": {
              "type": "string",
              "description": "The actsapuuid value"
            },
            "whowith": {
              "type": "string",
              "description": "The whowith value"
            },
            "chatid": {
              "type": "integer",
              "format": "int32",
              "description": "The chatid value"
            },
            "dynamicsactionid": {
              "type": "string",
              "description": "The dynamicsactionid value"
            },
            "action_appointment_id": {
              "type": "integer",
              "format": "int32",
              "description": "Action Appointment Id"
            },
            "action_supplier_id": {
              "type": "integer",
              "format": "int32",
              "description": "Action Supplier Id"
            },
            "action_supplier_name": {
              "type": "string",
              "description": "Action Supplier Name"
            },
            "new_tickettype": {
              "type": "integer",
              "format": "int32",
              "description": "New Tickettype"
            },
            "new_chargerate": {
              "type": "integer",
              "format": "int32",
              "description": "New Chargerate"
            },
            "new_contract_id": {
              "type": "integer",
              "format": "int32",
              "description": "New Contract Id"
            },
            "new_parent_id": {
              "type": "integer",
              "format": "int32",
              "description": "New Parent Id"
            },
            "new_priority": {
              "type": "integer",
              "format": "int32",
              "description": "New Priority"
            },
            "new_category1": {
              "type": "string",
              "description": "New Category1"
            },
            "new_category2": {
              "type": "string",
              "description": "New Category2"
            },
            "new_category3": {
              "type": "string",
              "description": "New Category3"
            },
            "new_category4": {
              "type": "string",
              "description": "New Category4"
            },
            "new_estimate": {
              "type": "number",
              "format": "double",
              "description": "New Estimate"
            },
            "new_estimatedays": {
              "type": "number",
              "format": "double",
              "description": "New Estimatedays"
            },
            "new_impact": {
              "type": "integer",
              "format": "int32",
              "description": "New Impact"
            },
            "new_urgency": {
              "type": "integer",
              "format": "int32",
              "description": "New Urgency"
            },
            "new_source": {
              "type": "integer",
              "format": "int32",
              "description": "New Source"
            },
            "new_subject": {
              "type": "string",
              "description": "New Subject"
            },
            "new_matched_rule_id": {
              "type": "integer",
              "format": "int32",
              "description": "New Matched Rule Id"
            },
            "new_firsttimefix": {
              "type": "boolean",
              "description": "New Firsttimefix"
            },
            "new_team": {
              "type": "string",
              "description": "New Team"
            },
            "new_agent": {
              "type": "integer",
              "format": "int32",
              "description": "New Agent"
            },
            "new_sla_id": {
              "type": "integer",
              "format": "int32",
              "description": "New Sla Id"
            },
            "new_slastatus": {
              "type": "integer",
              "format": "int32",
              "description": "New Slastatus"
            },
            "new_fixbydate": {
              "type": "string",
              "format": "date-time",
              "description": "New Fixbydate"
            },
            "new_followupdate": {
              "type": "string",
              "format": "date-time",
              "description": "New Followupdate"
            },
            "new_deadlinedate": {
              "type": "string",
              "format": "date-time",
              "description": "New Deadlinedate"
            },
            "new_deadlinenotificationhours": {
              "type": "number",
              "format": "double",
              "description": "New Deadlinenotificationhours"
            },
            "new_startdate": {
              "type": "string",
              "format": "date-time",
              "description": "New Startdate"
            },
            "new_startdate_timezone": {
              "type": "string",
              "description": "New Startdate Timezone"
            },
            "new_startdate_with_timezone": {
              "type": "object",
              "description": "New Startdate With Timezone"
            },
            "new_project_time_budget": {
              "type": "number",
              "format": "double",
              "description": "New Project Time Budget"
            },
            "new_project_money_budget": {
              "type": "number",
              "format": "double",
              "description": "New Project Money Budget"
            },
            "new_starttime": {
              "type": "string",
              "format": "date-span",
              "description": "New Starttime"
            },
            "new_starttimeslot": {
              "type": "integer",
              "format": "int32",
              "description": "New Starttimeslot"
            },
            "new_targetdate": {
              "type": "string",
              "format": "date-time",
              "description": "New Targetdate"
            },
            "new_targetdate_timezone": {
              "type": "string",
              "description": "New Targetdate Timezone"
            },
            "new_targetdate_with_timezone": {
              "type": "object",
              "description": "New Targetdate With Timezone"
            },
            "new_targettime": {
              "type": "string",
              "format": "date-span",
              "description": "New Targettime"
            },
            "new_targettimeslot": {
              "type": "integer",
              "format": "int32",
              "description": "New Targettimeslot"
            },
            "new_oppcontactname": {
              "type": "string",
              "description": "New Oppcontactname"
            },
            "new_oppcompanyname": {
              "type": "string",
              "description": "New Oppcompanyname"
            },
            "new_oppemailaddress": {
              "type": "string",
              "description": "New Oppemailaddress"
            },
            "new_oppcustomertitle": {
              "type": "string",
              "description": "New Oppcustomertitle"
            },
            "new_opptel": {
              "type": "string",
              "description": "New Opptel"
            },
            "new_oppcountry": {
              "type": "string",
              "description": "New Oppcountry"
            },
            "new_oppregion": {
              "type": "string",
              "description": "New Oppregion"
            },
            "new_opptype": {
              "type": "string",
              "description": "New Opptype"
            },
            "new_opphear": {
              "type": "string",
              "description": "New Opphear"
            },
            "new_oppvalue": {
              "type": "number",
              "format": "double",
              "description": "New Oppvalue"
            },
            "new_oppvalue_monthly": {
              "type": "number",
              "format": "double",
              "description": "New Oppvalue Monthly"
            },
            "new_oppvalue_annual": {
              "type": "number",
              "format": "double",
              "description": "New Oppvalue Annual"
            },
            "new_oppvalue_oneoff": {
              "type": "number",
              "format": "double",
              "description": "New Oppvalue Oneoff"
            },
            "new_oppconversionprobability": {
              "type": "number",
              "format": "double",
              "description": "New Oppconversionprobability"
            },
            "new_oppprofit": {
              "type": "number",
              "format": "double",
              "description": "New Oppprofit"
            },
            "new_oppcurrentsystem": {
              "type": "string",
              "description": "New Oppcurrentsystem"
            },
            "new_oppcompetitors": {
              "type": "string",
              "description": "New Oppcompetitors"
            },
            "new_opptrialdate": {
              "type": "string",
              "format": "date-time",
              "description": "New Opptrialdate"
            },
            "new_oppdemodate": {
              "type": "string",
              "format": "date-time",
              "description": "New Oppdemodate"
            },
            "new_oppdiscountdate": {
              "type": "string",
              "format": "date-time",
              "description": "New Oppdiscountdate"
            },
            "new_oppattemptsmade": {
              "type": "integer",
              "format": "int32",
              "description": "New Oppattemptsmade"
            },
            "new_oppconverteddate": {
              "type": "string",
              "format": "date-time",
              "description": "New Oppconverteddate"
            },
            "new_oppproductchosen": {
              "type": "string",
              "description": "New Oppproductchosen"
            },
            "new_oppreason": {
              "type": "string",
              "description": "New Oppreason"
            },
            "new_opptimezonename": {
              "type": "string",
              "description": "New Opptimezonename"
            },
            "new_oppclosurecategory": {
              "type": "integer",
              "format": "int32",
              "description": "New Oppclosurecategory"
            },
            "new_oppdontaddtomailinglist": {
              "type": "boolean",
              "description": "New Oppdontaddtomailinglist"
            },
            "new_approvalprocess": {
              "type": "integer",
              "format": "int32",
              "description": "New Approvalprocess"
            },
            "new_approvalprocess_agent_id": {
              "type": "integer",
              "format": "int32",
              "description": "New Approvalprocess Agent Id"
            },
            "new_approvalprocess_user_id": {
              "type": "integer",
              "format": "int32",
              "description": "New Approvalprocess User Id"
            },
            "new_approvalprocess_users": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "name": {
                    "type": "string"
                  },
                  "site_id": {
                    "type": "number"
                  },
                  "site_id_int": {
                    "type": "integer"
                  },
                  "site_name": {
                    "type": "string"
                  },
                  "client_name": {
                    "type": "string"
                  },
                  "firstname": {
                    "type": "string"
                  },
                  "surname": {
                    "type": "string"
                  },
                  "initials": {
                    "type": "string"
                  },
                  "title": {
                    "type": "string"
                  },
                  "emailaddress": {
                    "type": "string"
                  },
                  "email2": {
                    "type": "string"
                  },
                  "email3": {
                    "type": "string"
                  },
                  "phonenumber_preferred": {
                    "type": "string"
                  },
                  "sitephonenumber": {
                    "type": "string"
                  },
                  "phonenumber": {
                    "type": "string"
                  },
                  "homenumber": {
                    "type": "string"
                  },
                  "mobilenumber": {
                    "type": "string"
                  },
                  "mobilenumber2": {
                    "type": "string"
                  },
                  "fax": {
                    "type": "string"
                  },
                  "telpref": {
                    "type": "integer"
                  },
                  "activedirectory_dn": {
                    "type": "string"
                  },
                  "onpremise_activedirectory_dn": {
                    "type": "string"
                  },
                  "container_dn": {
                    "type": "string"
                  },
                  "login": {
                    "type": "string"
                  },
                  "inactive": {
                    "type": "boolean"
                  },
                  "colour": {
                    "type": "string"
                  },
                  "isimportantcontact": {
                    "type": "boolean"
                  },
                  "other1": {
                    "type": "string"
                  },
                  "other2": {
                    "type": "string"
                  },
                  "other3": {
                    "type": "string"
                  },
                  "other4": {
                    "type": "string"
                  },
                  "other5": {
                    "type": "string"
                  },
                  "notes": {
                    "type": "string"
                  },
                  "neversendemails": {
                    "type": "boolean"
                  },
                  "default_currency_code": {
                    "type": "integer"
                  },
                  "site_guid": {
                    "type": "string"
                  },
                  "area_guid": {
                    "type": "string"
                  },
                  "site_cautomate_guid": {
                    "type": "string"
                  },
                  "priority_id": {
                    "type": "integer"
                  },
                  "linked_agent_id": {
                    "type": "integer"
                  },
                  "covered_by_contract": {
                    "type": "boolean"
                  },
                  "contract_value": {
                    "type": "number"
                  },
                  "software_role_name": {
                    "type": "string"
                  },
                  "customfields": {
                    "type": "array"
                  },
                  "attachments": {
                    "type": "array"
                  },
                  "relationship_id": {
                    "type": "integer"
                  },
                  "user_relationships": {
                    "type": "array"
                  },
                  "uddevsite": {
                    "type": "integer"
                  },
                  "uddevnum": {
                    "type": "integer"
                  },
                  "uduserid": {
                    "type": "integer"
                  },
                  "userdevicerolecount": {
                    "type": "integer"
                  },
                  "site_hubspot_guid": {
                    "type": "string"
                  },
                  "isserviceaccount": {
                    "type": "boolean"
                  },
                  "ignoreautomatedbilling": {
                    "type": "boolean"
                  },
                  "isimportantcontact2": {
                    "type": "boolean"
                  },
                  "connectwiseid": {
                    "type": "integer"
                  },
                  "autotaskid": {
                    "type": "integer"
                  },
                  "messagegroup_id": {
                    "type": "integer"
                  },
                  "role_list": {
                    "type": "string"
                  },
                  "sitetimezone": {
                    "type": "string"
                  },
                  "client_account_manager_id": {
                    "type": "integer"
                  },
                  "use": {
                    "type": "string"
                  },
                  "key": {
                    "type": "integer"
                  },
                  "table": {
                    "type": "integer"
                  },
                  "client_id": {
                    "type": "integer"
                  },
                  "item_tax_code": {
                    "type": "integer"
                  },
                  "automatic_sales_tax": {
                    "type": "boolean"
                  },
                  "client_taxable": {
                    "type": "boolean"
                  },
                  "overridepdftemplatequote": {
                    "type": "integer"
                  },
                  "overridepdftemplatequote_name": {
                    "type": "string"
                  },
                  "contract_end_date": {
                    "type": "string"
                  },
                  "okta_id": {
                    "type": "string"
                  },
                  "azure_id": {
                    "type": "string"
                  },
                  "user_with_clientsite": {
                    "type": "string"
                  },
                  "client_automatic_callscript_id": {
                    "type": "integer"
                  },
                  "neversendmarketingemails": {
                    "type": "boolean"
                  },
                  "is_prospect": {
                    "type": "boolean"
                  },
                  "whatsapp_number": {
                    "type": "string"
                  },
                  "azureoid": {
                    "type": "string"
                  },
                  "approver_note_hint": {
                    "type": "string"
                  },
                  "language_id": {
                    "type": "integer"
                  },
                  "date_of_birth": {
                    "type": "string"
                  },
                  "role_ids": {
                    "type": "array"
                  },
                  "avalara_tenant": {
                    "type": "integer"
                  },
                  "sailpoint_id": {
                    "type": "string"
                  },
                  "_importtypeid": {
                    "type": "integer"
                  },
                  "_importthirdpartyid": {
                    "type": "string"
                  },
                  "_importtype": {
                    "type": "string"
                  },
                  "new_external_link": {
                    "type": "object"
                  },
                  "import_details_id": {
                    "type": "integer"
                  },
                  "_isupdateimport": {
                    "type": "boolean"
                  },
                  "_match_thirdparty_id": {
                    "type": "string"
                  },
                  "_match_integration_id": {
                    "type": "integer"
                  },
                  "_match_integration_name": {
                    "type": "string"
                  },
                  "_match_integration_button_caption": {
                    "type": "string"
                  },
                  "_match_integration_button_url": {
                    "type": "string"
                  },
                  "_match_integration_button_icon": {
                    "type": "string"
                  }
                }
              },
              "description": "New Approvalprocess Users"
            },
            "new_approvalprocess_email": {
              "type": "string",
              "description": "New Approvalprocess Email"
            },
            "new_approvalprocess_cab_id": {
              "type": "integer",
              "format": "int32",
              "description": "New Approvalprocess Cab Id"
            },
            "new_approvalprocess_cab": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "cab_id": {
                    "type": "integer"
                  },
                  "cab_guid": {
                    "type": "string"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "type": {
                    "type": "integer"
                  },
                  "user_id": {
                    "type": "integer"
                  },
                  "member_name": {
                    "type": "string"
                  },
                  "emailaddress": {
                    "type": "string"
                  },
                  "is_mandatory": {
                    "type": "boolean"
                  },
                  "role_id": {
                    "type": "integer"
                  },
                  "role_name": {
                    "type": "string"
                  },
                  "module_id": {
                    "type": "integer"
                  },
                  "_warning": {
                    "type": "string"
                  }
                }
              },
              "description": "New Approvalprocess Cab"
            },
            "new_product_id": {
              "type": "integer",
              "format": "int32",
              "description": "New Product Id"
            },
            "new_component_id": {
              "type": "integer",
              "format": "int32",
              "description": "New Component Id"
            },
            "new_version_id": {
              "type": "integer",
              "format": "int32",
              "description": "New Version Id"
            },
            "new_matched_kb_id": {
              "type": "integer",
              "format": "int32",
              "description": "New Matched Kb Id"
            },
            "new_matched_linked_id": {
              "type": "integer",
              "format": "int32",
              "description": "New Matched Linked Id"
            },
            "new_linkedticket_template_id": {
              "type": "integer",
              "format": "int32",
              "description": "New Linkedticket Template Id"
            },
            "new_supplier_id": {
              "type": "integer",
              "format": "int32",
              "description": "New Supplier Id"
            },
            "new_supplier_ref": {
              "type": "string",
              "description": "New Supplier Ref"
            },
            "new_customer_ref": {
              "type": "string",
              "description": "New Customer Ref"
            },
            "new_supplier_contract_id": {
              "type": "integer",
              "format": "int32",
              "description": "New Supplier Contract Id"
            },
            "new_supplier_priority_id": {
              "type": "integer",
              "format": "int32",
              "description": "New Supplier Priority Id"
            },
            "new_supplier_response_date": {
              "type": "string",
              "format": "date-time",
              "description": "New Supplier Response Date"
            },
            "new_supplier_fix_date": {
              "type": "string",
              "format": "date-time",
              "description": "New Supplier Fix Date"
            },
            "new_linkedticket_status": {
              "type": "integer",
              "format": "int32",
              "description": "New Linkedticket Status"
            },
            "new_appointment_type": {
              "type": "integer",
              "format": "int32",
              "description": "New Appointment Type"
            },
            "emailtemplate_id": {
              "type": "integer",
              "format": "int32",
              "description": "Emailtemplate Id"
            },
            "create_article": {
              "type": "boolean",
              "description": "Create Article"
            },
            "sendemail": {
              "type": "boolean",
              "description": "The sendemail value"
            },
            "action_showpreview": {
              "type": "boolean",
              "description": "Action Showpreview"
            },
            "setnotetoemailbody": {
              "type": "boolean",
              "description": "The setnotetoemailbody value"
            },
            "action_isresponse": {
              "type": "boolean",
              "description": "Action Isresponse"
            },
            "validate_response": {
              "type": "boolean",
              "description": "Validate Response"
            },
            "attachments": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "third_party_id": {
                    "type": "string"
                  },
                  "link": {
                    "type": "string"
                  },
                  "content_type": {
                    "type": "string"
                  },
                  "last_updated": {
                    "type": "string"
                  },
                  "id": {
                    "type": "integer"
                  },
                  "filename": {
                    "type": "string"
                  },
                  "datecreated": {
                    "type": "string"
                  },
                  "note": {
                    "type": "string"
                  },
                  "filesize": {
                    "type": "integer"
                  },
                  "type": {
                    "type": "integer"
                  },
                  "unique_id": {
                    "type": "integer"
                  },
                  "desc": {
                    "type": "string"
                  },
                  "isimage": {
                    "type": "boolean"
                  },
                  "data": {
                    "type": "string"
                  },
                  "ticket_id": {
                    "type": "integer"
                  },
                  "action_id": {
                    "type": "integer"
                  },
                  "outcome_id": {
                    "type": "integer"
                  },
                  "user_id": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "attachmentaction_id": {
                    "type": "integer"
                  },
                  "_canupdate": {
                    "type": "boolean"
                  },
                  "guid": {
                    "type": "string"
                  },
                  "image_upload_id": {
                    "type": "integer"
                  },
                  "image_upload_key": {
                    "type": "string"
                  },
                  "file": {
                    "type": "string"
                  },
                  "_enduserportalpdfprint": {
                    "type": "boolean"
                  },
                  "anon_outcomeid": {
                    "type": "integer"
                  },
                  "has_scanned": {
                    "type": "boolean"
                  },
                  "_warning": {
                    "type": "string"
                  },
                  "_is_new_version": {
                    "type": "boolean"
                  },
                  "parent_name": {
                    "type": "string"
                  },
                  "parent_desc": {
                    "type": "string"
                  },
                  "version_count": {
                    "type": "integer"
                  },
                  "_alreadyuploaded": {
                    "type": "boolean"
                  },
                  "copy_from_id": {
                    "type": "integer"
                  },
                  "new_external_link": {
                    "type": "object"
                  },
                  "_match_thirdparty_id": {
                    "type": "string"
                  },
                  "_match_additional_id": {
                    "type": "string"
                  },
                  "_match_integration_id": {
                    "type": "integer"
                  },
                  "_match_integration_name": {
                    "type": "string"
                  },
                  "import_details_id": {
                    "type": "integer"
                  },
                  "external_links": {
                    "type": "array"
                  },
                  "access_control": {
                    "type": "array"
                  },
                  "_start_transcription": {
                    "type": "boolean"
                  },
                  "_transcription_started": {
                    "type": "boolean"
                  },
                  "_transcription_is_new_action": {
                    "type": "boolean"
                  },
                  "showforusers": {
                    "type": "boolean"
                  },
                  "showonchild": {
                    "type": "boolean"
                  },
                  "showonrelated": {
                    "type": "boolean"
                  },
                  "data_base64": {
                    "type": "string"
                  },
                  "download_url": {
                    "type": "string"
                  },
                  "third_party_token": {
                    "type": "string"
                  },
                  "already_posted": {
                    "type": "boolean"
                  },
                  "faultid": {
                    "type": "integer"
                  },
                  "_isimport": {
                    "type": "boolean"
                  },
                  "_importtype": {
                    "type": "string"
                  },
                  "s3url": {
                    "type": "string"
                  },
                  "att_link": {
                    "type": "string"
                  },
                  "child_count": {
                    "type": "integer"
                  },
                  "parent_id": {
                    "type": "integer"
                  },
                  "linked_version_id": {
                    "type": "integer"
                  },
                  "allow_anon_upload": {
                    "type": "boolean"
                  },
                  "tickettype_id": {
                    "type": "integer"
                  },
                  "tickettype_guid": {
                    "type": "string"
                  },
                  "validate_guid": {
                    "type": "string"
                  },
                  "import_parentid": {
                    "type": "string"
                  },
                  "folder_hierarchy": {
                    "type": "string"
                  },
                  "access_control_level": {
                    "type": "integer"
                  },
                  "is_s3": {
                    "type": "boolean"
                  }
                }
              },
              "description": "The attachments value"
            },
            "update_children": {
              "type": "boolean",
              "description": "Update Children"
            },
            "update_parent": {
              "type": "boolean",
              "description": "Update Parent"
            },
            "send_survey": {
              "type": "boolean",
              "description": "Send Survey"
            },
            "signature_customer": {
              "type": "string",
              "description": "Signature Customer"
            },
            "signature_customer_name": {
              "type": "string",
              "description": "Signature Customer Name"
            },
            "signature_agent": {
              "type": "string",
              "description": "Signature Agent"
            },
            "signature_agent_name": {
              "type": "string",
              "description": "Signature Agent Name"
            },
            "follow": {
              "type": "boolean",
              "description": "The follow value"
            },
            "unfollow": {
              "type": "boolean",
              "description": "The unfollow value"
            },
            "primaryserviceusersfollow": {
              "type": "boolean",
              "description": "The primaryserviceusersfollow value"
            },
            "appointment_id": {
              "type": "integer",
              "format": "int32",
              "description": "Appointment Id"
            },
            "appointment_complete_status": {
              "type": "integer",
              "format": "int32",
              "description": "Appointment Complete Status"
            },
            "add_followup_appointment": {
              "type": "boolean",
              "description": "Add Followup Appointment"
            },
            "add_followup_task": {
              "type": "boolean",
              "description": "Add Followup Task"
            },
            "_appointment_force": {
              "type": "boolean",
              "description": "Appointment Force"
            },
            "copy_to_id": {
              "type": "integer",
              "format": "int32",
              "description": "Copy To Id"
            },
            "third_party_product_id": {
              "type": "string",
              "description": "Third Party Product Id"
            },
            "third_party_version_id": {
              "type": "string",
              "description": "Third Party Version Id"
            },
            "_forcereassign": {
              "type": "boolean",
              "description": "The forcereassign value"
            },
            "_appointment01_ok": {
              "type": "boolean",
              "description": "Appointment01 Ok"
            },
            "_agent01_ok": {
              "type": "boolean",
              "description": "Agent01 Ok"
            },
            "_agent02_ok": {
              "type": "boolean",
              "description": "Agent02 Ok"
            },
            "_ticketclash01_ok": {
              "type": "boolean",
              "description": "Ticketclash01 Ok"
            },
            "_maintenance01_ok": {
              "type": "boolean",
              "description": "Maintenance01 Ok"
            },
            "_maintenancesuggest01_ok": {
              "type": "boolean",
              "description": "Maintenancesuggest01 Ok"
            },
            "_canupdate": {
              "type": "boolean",
              "description": "The canupdate value"
            },
            "assets": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "changeguid": {
                    "type": "string"
                  },
                  "intent": {
                    "type": "string"
                  },
                  "inventory_number": {
                    "type": "string"
                  },
                  "key_field": {
                    "type": "string"
                  },
                  "key_field2": {
                    "type": "string"
                  },
                  "key_field3": {
                    "type": "string"
                  },
                  "client_id": {
                    "type": "integer"
                  },
                  "client_name": {
                    "type": "string"
                  },
                  "site_id": {
                    "type": "integer"
                  },
                  "site_name": {
                    "type": "string"
                  },
                  "business_owner_id": {
                    "type": "integer"
                  },
                  "business_owner_name": {
                    "type": "string"
                  },
                  "business_owner_site": {
                    "type": "string"
                  },
                  "business_owner_client": {
                    "type": "string"
                  },
                  "business_owner_cab_id": {
                    "type": "integer"
                  },
                  "business_owner_cab_name": {
                    "type": "string"
                  },
                  "username": {
                    "type": "string"
                  },
                  "technical_owner_id": {
                    "type": "integer"
                  },
                  "technical_owner_name": {
                    "type": "string"
                  },
                  "technical_owner_cab_id": {
                    "type": "integer"
                  },
                  "technical_owner_cab_name": {
                    "type": "string"
                  },
                  "intune_default_site": {
                    "type": "integer"
                  },
                  "assettype_id": {
                    "type": "integer"
                  },
                  "assettype_name": {
                    "type": "string"
                  },
                  "colour": {
                    "type": "string"
                  },
                  "icon": {
                    "type": "string"
                  },
                  "warranty_end": {
                    "type": "string"
                  },
                  "inactive": {
                    "type": "boolean"
                  },
                  "is_primary_asset": {
                    "type": "boolean"
                  },
                  "parent_id": {
                    "type": "integer"
                  },
                  "lansweeper_parent_id": {
                    "type": "string"
                  },
                  "child_id": {
                    "type": "integer"
                  },
                  "sibling_id": {
                    "type": "boolean"
                  },
                  "contract_value": {
                    "type": "number"
                  },
                  "contract_ref": {
                    "type": "string"
                  },
                  "contract_id": {
                    "type": "integer"
                  },
                  "supplier_id": {
                    "type": "integer"
                  },
                  "supplier_name": {
                    "type": "string"
                  },
                  "manufacturer_id": {
                    "type": "integer"
                  },
                  "manufacturer_name": {
                    "type": "string"
                  },
                  "supplier_contract_id": {
                    "type": "integer"
                  },
                  "supplier_contract_ref": {
                    "type": "string"
                  },
                  "supplier_sla_id": {
                    "type": "integer"
                  },
                  "supplier_priority_id": {
                    "type": "integer"
                  },
                  "fields": {
                    "type": "array"
                  },
                  "customfields": {
                    "type": "array"
                  },
                  "relationship_id": {
                    "type": "integer"
                  },
                  "default_contract_value": {
                    "type": "number"
                  },
                  "itemstock_id": {
                    "type": "integer"
                  },
                  "item_id": {
                    "type": "integer"
                  },
                  "stock_date": {
                    "type": "string"
                  },
                  "non_consignable": {
                    "type": "boolean"
                  },
                  "reserved_salesorder_id": {
                    "type": "integer"
                  },
                  "reserved_salesorder_line_id": {
                    "type": "integer"
                  },
                  "matching_field": {
                    "type": "string"
                  },
                  "is_auto_picking_asset_tag": {
                    "type": "boolean"
                  },
                  "device42_id": {
                    "type": "integer"
                  },
                  "device42_url": {
                    "type": "string"
                  },
                  "related_services": {
                    "type": "string"
                  },
                  "technical_owner": {
                    "type": "string"
                  },
                  "business_owner": {
                    "type": "string"
                  },
                  "primary_asset_chart_json": {
                    "type": "string"
                  },
                  "criticality": {
                    "type": "integer"
                  },
                  "service_id": {
                    "type": "integer"
                  },
                  "key": {
                    "type": "integer"
                  },
                  "table": {
                    "type": "integer"
                  },
                  "use": {
                    "type": "string"
                  },
                  "device_number": {
                    "type": "integer"
                  },
                  "assettype_guid": {
                    "type": "string"
                  },
                  "owning_portfolio_name": {
                    "type": "string"
                  },
                  "owning_service_name": {
                    "type": "string"
                  },
                  "owning_businessapp_name": {
                    "type": "string"
                  },
                  "owning_ci_name": {
                    "type": "string"
                  },
                  "warranty_start": {
                    "type": "string"
                  },
                  "labour_warranty_start": {
                    "type": "string"
                  },
                  "labour_warranty_end": {
                    "type": "string"
                  },
                  "parent_guid": {
                    "type": "string"
                  },
                  "child_guid": {
                    "type": "string"
                  },
                  "status_id": {
                    "type": "integer"
                  },
                  "status_name": {
                    "type": "string"
                  },
                  "third_party_id": {
                    "type": "integer"
                  },
                  "sla_name": {
                    "type": "string"
                  },
                  "priority_name": {
                    "type": "string"
                  },
                  "latest_contract_ref": {
                    "type": "string"
                  },
                  "sequence": {
                    "type": "integer"
                  },
                  "ncentral_url": {
                    "type": "string"
                  },
                  "ncentral_remote_url": {
                    "type": "string"
                  },
                  "contract_end_date": {
                    "type": "string"
                  },
                  "atera_id": {
                    "type": "string"
                  },
                  "automate_id": {
                    "type": "integer"
                  },
                  "automate_url": {
                    "type": "string"
                  },
                  "connectwise_control_url": {
                    "type": "string"
                  },
                  "ninjarmm_id": {
                    "type": "integer"
                  },
                  "ninja_url": {
                    "type": "string"
                  },
                  "ninja_remote_url": {
                    "type": "string"
                  },
                  "syncro_url": {
                    "type": "string"
                  },
                  "syncroid": {
                    "type": "integer"
                  },
                  "itglue_url": {
                    "type": "string"
                  },
                  "defaultsequence": {
                    "type": "integer"
                  },
                  "service_ids": {
                    "type": "string"
                  },
                  "bulkcreated": {
                    "type": "boolean"
                  },
                  "bulkbillingperiod": {
                    "type": "integer"
                  },
                  "asset_field": {
                    "type": "string"
                  },
                  "datto_alternate_id": {
                    "type": "integer"
                  },
                  "syncro_id": {
                    "type": "string"
                  },
                  "domotz_id": {
                    "type": "string"
                  },
                  "snow_id": {
                    "type": "integer"
                  },
                  "passportal_id": {
                    "type": "integer"
                  },
                  "auvik_device_id": {
                    "type": "string"
                  },
                  "auvik_url": {
                    "type": "string"
                  },
                  "allowallstatus": {
                    "type": "boolean"
                  },
                  "allowed_status": {
                    "type": "array"
                  },
                  "allowallcustombuttons": {
                    "type": "boolean"
                  },
                  "allowed_custombuttons": {
                    "type": "array"
                  },
                  "datto_id": {
                    "type": "string"
                  },
                  "addigy_id": {
                    "type": "string"
                  },
                  "liongard_url": {
                    "type": "string"
                  },
                  "liongard_environmnet_id": {
                    "type": "integer"
                  },
                  "liongard_id": {
                    "type": "string"
                  },
                  "kaseya_id": {
                    "type": "string"
                  },
                  "iskaseyaagent": {
                    "type": "boolean"
                  },
                  "kaseyavsa_url": {
                    "type": "string"
                  },
                  "addigy_url": {
                    "type": "string"
                  },
                  "teamviewerid": {
                    "type": "string"
                  },
                  "serialization_user": {
                    "type": "integer"
                  },
                  "zabbix_id": {
                    "type": "string"
                  },
                  "zabbix_url": {
                    "type": "string"
                  },
                  "stockbin_name": {
                    "type": "string"
                  },
                  "issue_consignment_line_id": {
                    "type": "integer"
                  },
                  "item_name": {
                    "type": "string"
                  },
                  "datto_url": {
                    "type": "string"
                  },
                  "ncentral_details_id": {
                    "type": "integer"
                  },
                  "nable_id": {
                    "type": "string"
                  },
                  "connectwisecontrolid": {
                    "type": "string"
                  },
                  "_isimport": {
                    "type": "boolean"
                  },
                  "_importtype": {
                    "type": "string"
                  },
                  "workspace_id": {
                    "type": "string"
                  },
                  "workspace_url": {
                    "type": "string"
                  },
                  "intune_id": {
                    "type": "string"
                  },
                  "supplier_purchasedate": {
                    "type": "string"
                  },
                  "logicmonitor_id": {
                    "type": "string"
                  },
                  "barracudarmm_id": {
                    "type": "string"
                  },
                  "sla_id": {
                    "type": "integer"
                  },
                  "priority_id": {
                    "type": "integer"
                  },
                  "icinga_id": {
                    "type": "string"
                  },
                  "related_service_name": {
                    "type": "string"
                  },
                  "related_service_count": {
                    "type": "integer"
                  },
                  "connectwisermm_id": {
                    "type": "string"
                  },
                  "xensam_id": {
                    "type": "string"
                  },
                  "asset_type_priority": {
                    "type": "integer"
                  },
                  "snipeit_id": {
                    "type": "string"
                  },
                  "prometheus_id": {
                    "type": "string"
                  },
                  "dynatrace_id": {
                    "type": "string"
                  },
                  "vmworkspace_id": {
                    "type": "string"
                  },
                  "tanium_id": {
                    "type": "string"
                  },
                  "tenable_id": {
                    "type": "string"
                  },
                  "kandji_id": {
                    "type": "string"
                  },
                  "criticality_description": {
                    "type": "string"
                  },
                  "auvik_id": {
                    "type": "string"
                  },
                  "is_template": {
                    "type": "boolean"
                  },
                  "aws_id": {
                    "type": "string"
                  },
                  "manageengine_id": {
                    "type": "string"
                  },
                  "manageengine_customer_id": {
                    "type": "string"
                  },
                  "lastchangeofvaluedate": {
                    "type": "string"
                  },
                  "commissiondate": {
                    "type": "string"
                  },
                  "first_user_id": {
                    "type": "integer"
                  },
                  "changebackupexists": {
                    "type": "boolean"
                  },
                  "_isbatch": {
                    "type": "boolean"
                  },
                  "virima_id": {
                    "type": "string"
                  },
                  "service_guid": {
                    "type": "string"
                  },
                  "service_name": {
                    "type": "string"
                  },
                  "lansweeperid": {
                    "type": "string"
                  },
                  "eracent_id": {
                    "type": "string"
                  },
                  "changehistory_last_updated": {
                    "type": "string"
                  },
                  "changehistory_updated_by": {
                    "type": "string"
                  },
                  "changehistory_created_by": {
                    "type": "string"
                  },
                  "changehistory_created_date": {
                    "type": "string"
                  },
                  "auto_link": {
                    "type": "boolean"
                  },
                  "impact_statement": {
                    "type": "string"
                  },
                  "activity_statement": {
                    "type": "string"
                  },
                  "raynet_id": {
                    "type": "string"
                  },
                  "armis_id": {
                    "type": "string"
                  },
                  "kaseyavsax_id": {
                    "type": "string"
                  },
                  "diagram_field1": {
                    "type": "string"
                  },
                  "diagram_field2": {
                    "type": "string"
                  },
                  "diagram_field3": {
                    "type": "string"
                  },
                  "ci_type": {
                    "type": "integer"
                  },
                  "manually_linked_ticket": {
                    "type": "boolean"
                  },
                  "_importtypeid": {
                    "type": "integer"
                  },
                  "_importthirdpartyid": {
                    "type": "string"
                  },
                  "new_external_link": {
                    "type": "object"
                  },
                  "import_details_id": {
                    "type": "integer"
                  },
                  "_isupdateimport": {
                    "type": "boolean"
                  },
                  "_match_thirdparty_id": {
                    "type": "string"
                  },
                  "_match_integration_id": {
                    "type": "integer"
                  },
                  "_match_integration_name": {
                    "type": "string"
                  },
                  "_match_integration_button_caption": {
                    "type": "string"
                  },
                  "_match_integration_button_url": {
                    "type": "string"
                  },
                  "_match_integration_button_icon": {
                    "type": "string"
                  }
                }
              },
              "description": "The assets value"
            },
            "dont_do_rules": {
              "type": "boolean",
              "description": "Dont Do Rules"
            },
            "_includeticketinresponse": {
              "type": "boolean",
              "description": "The includeticketinresponse value"
            },
            "jira_original_estimate": {
              "type": "number",
              "format": "double",
              "description": "Jira Original Estimate"
            },
            "jira_remaining_estimate": {
              "type": "number",
              "format": "double",
              "description": "Jira Remaining Estimate"
            },
            "_warning": {
              "type": "string",
              "description": "The warning value"
            },
            "actionoohtime": {
              "type": "number",
              "format": "double",
              "description": "The actionoohtime value"
            },
            "actionholidaytime": {
              "type": "number",
              "format": "double",
              "description": "The actionholidaytime value"
            },
            "actiontotaloohtime": {
              "type": "number",
              "format": "double",
              "description": "The actiontotaloohtime value"
            },
            "quotation_id": {
              "type": "integer",
              "format": "int32",
              "description": "Quotation Id"
            },
            "salesorder_id": {
              "type": "integer",
              "format": "int32",
              "description": "Salesorder Id"
            },
            "purchaseorder_id": {
              "type": "integer",
              "format": "int32",
              "description": "Purchaseorder Id"
            },
            "invoice_id": {
              "type": "integer",
              "format": "int32",
              "description": "Invoice Id"
            },
            "recalculate_billing": {
              "type": "boolean",
              "description": "Recalculate Billing"
            },
            "dont_recalculate_time": {
              "type": "boolean",
              "description": "Dont Recalculate Time"
            },
            "_isimport": {
              "type": "boolean",
              "description": "The isimport value"
            },
            "_isinboundsales": {
              "type": "boolean",
              "description": "The isinboundsales value"
            },
            "sendactiontopagerduty": {
              "type": "boolean",
              "description": "The sendactiontopagerduty value"
            },
            "oktoclose": {
              "type": "boolean",
              "description": "The oktoclose value"
            },
            "remotetechid": {
              "type": "integer",
              "format": "int32",
              "description": "The remotetechid value"
            },
            "utcoffset": {
              "type": "number",
              "format": "double",
              "description": "The utcoffset value"
            },
            "statisfaction_level": {
              "type": "integer",
              "format": "int32",
              "description": "Statisfaction Level"
            },
            "senttoapisupplierid": {
              "type": "integer",
              "format": "int32",
              "description": "The senttoapisupplierid value"
            },
            "send_jira_attachments": {
              "type": "boolean",
              "description": "Send Jira Attachments"
            },
            "jira_reporter": {
              "type": "integer",
              "format": "int32",
              "description": "Jira Reporter"
            },
            "smsto": {
              "type": "string",
              "description": "The smsto value"
            },
            "sendsms": {
              "type": "boolean",
              "description": "The sendsms value"
            },
            "_dontupdate_devops": {
              "type": "boolean",
              "description": "Dontupdate Devops"
            },
            "send_devops_note": {
              "type": "boolean",
              "description": "Send Devops Note"
            },
            "_isnotify": {
              "type": "boolean",
              "description": "The isnotify value"
            },
            "_iscountersign": {
              "type": "boolean",
              "description": "The iscountersign value"
            },
            "move_to_id": {
              "type": "integer",
              "format": "int32",
              "description": "Move To Id"
            },
            "sendactiontosplunkoncall": {
              "type": "boolean",
              "description": "The sendactiontosplunkoncall value"
            },
            "third_party_who": {
              "type": "string",
              "description": "Third Party Who"
            },
            "_faultForce": {
              "type": "boolean",
              "description": "Fault Force"
            },
            "private_note": {
              "type": "string",
              "description": "Private Note"
            },
            "isBulkEmail": {
              "type": "boolean",
              "description": "Is Bulk Email"
            },
            "new_workflow_id": {
              "type": "integer",
              "format": "int32",
              "description": "New Workflow Id"
            },
            "_sendtweet": {
              "type": "boolean",
              "description": "The sendtweet value"
            },
            "replyto_tweet_id": {
              "type": "integer",
              "format": "int64",
              "description": "Replyto Tweet Id"
            },
            "replyto_tweet_haloid": {
              "type": "integer",
              "format": "int32",
              "description": "Replyto Tweet Haloid"
            },
            "changeinformationhtml": {
              "type": "string",
              "description": "The changeinformationhtml value"
            },
            "justification": {
              "type": "string",
              "description": "The justification value"
            },
            "impactlevel": {
              "type": "integer",
              "format": "int32",
              "description": "The impactlevel value"
            },
            "impactdescription": {
              "type": "string",
              "description": "The impactdescription value"
            },
            "risklevel": {
              "type": "integer",
              "format": "int32",
              "description": "The risklevel value"
            },
            "riskdescription": {
              "type": "string",
              "description": "The riskdescription value"
            },
            "backoutplan": {
              "type": "string",
              "description": "The backoutplan value"
            },
            "communicationplan": {
              "type": "string",
              "description": "The communicationplan value"
            },
            "testplan": {
              "type": "string",
              "description": "The testplan value"
            },
            "showonroadmap": {
              "type": "boolean",
              "description": "The showonroadmap value"
            },
            "roadmapnote": {
              "type": "string",
              "description": "The roadmapnote value"
            },
            "releasenote": {
              "type": "string",
              "description": "The releasenote value"
            },
            "releaseid": {
              "type": "integer",
              "format": "int32",
              "description": "The releaseid value"
            },
            "releaseid2": {
              "type": "integer",
              "format": "int32",
              "description": "The releaseid2 value"
            },
            "releaseid3": {
              "type": "integer",
              "format": "int32",
              "description": "The releaseid3 value"
            },
            "releasenotegroupid": {
              "type": "integer",
              "format": "int32",
              "description": "The releasenotegroupid value"
            },
            "releaseimportant": {
              "type": "boolean",
              "description": "The releaseimportant value"
            },
            "new_jira_components": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "value": {
                    "type": "string"
                  },
                  "label": {
                    "type": "string"
                  },
                  "isnew": {
                    "type": "boolean"
                  }
                }
              },
              "description": "New Jira Components"
            },
            "faultidfrom": {
              "type": "integer",
              "format": "int32",
              "description": "The faultidfrom value"
            },
            "actionnumberfrom": {
              "type": "integer",
              "format": "int32",
              "description": "The actionnumberfrom value"
            },
            "new_template_id": {
              "type": "integer",
              "format": "int32",
              "description": "New Template Id"
            },
            "new_primary_asset_status": {
              "type": "integer",
              "format": "int32",
              "description": "New Primary Asset Status"
            },
            "primary_asset_id": {
              "type": "integer",
              "format": "int32",
              "description": "Primary Asset Id"
            },
            "new_rule_ids": {
              "type": "string",
              "description": "New Rule Ids"
            },
            "dont_update_fault": {
              "type": "boolean",
              "description": "Dont Update Fault"
            },
            "new_article_description": {
              "type": "string",
              "description": "New Article Description"
            },
            "new_article_resolution": {
              "type": "string",
              "description": "New Article Resolution"
            },
            "new_article_notes": {
              "type": "string",
              "description": "New Article Notes"
            },
            "new_article_type": {
              "type": "integer",
              "format": "int32",
              "description": "New Article Type"
            },
            "new_tags": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "text": {
                    "type": "string"
                  },
                  "add_to_kbid": {
                    "type": "integer"
                  },
                  "add_to_ctid": {
                    "type": "integer"
                  },
                  "add_to_stid": {
                    "type": "integer"
                  },
                  "_warning": {
                    "type": "string"
                  },
                  "add_to_stdid": {
                    "type": "integer"
                  },
                  "type": {
                    "type": "integer"
                  }
                }
              },
[...]
